CVE-2018-1517

A flaw in the java.math component in IBM SDK, Java Technology Edition 6.0, 7.0, and 8.0 may allow an attacker to inflict a denial-of-service attack with specially crafted String data. IBM X-Force ID: 141681.

Published : 2018-08-20 21:29 Updated : 2019-10-09 23:38

5.0
CVSS Score More info
Score 5.0 / 10
5.0
Vendor Product Version URI
Ibm Software Development Kit 6 cpe:/a:ibm:software_development_kit:6:service_refresh_16:~~java_technology~~~
Ibm Software Development Kit 6.0 cpe:/a:ibm:software_development_kit:6.0::~~java_technology~~~
Ibm Software Development Kit 6r1 cpe:/a:ibm:software_development_kit:6r1:service_refresh_8:~~java_technology~~~
Ibm Software Development Kit 7 cpe:/a:ibm:software_development_kit:7:service_refresh_10:~~java_technology~~~
Ibm Software Development Kit 7.0 cpe:/a:ibm:software_development_kit:7.0::~~java_technology~~~
Ibm Software Development Kit 7r1 cpe:/a:ibm:software_development_kit:7r1:service_refresh_4:~~java_technology~~~
Ibm Software Development Kit 8 cpe:/a:ibm:software_development_kit:8:service_refresh_5:~~java_technology~~~
Ibm Software Development Kit 8.0 cpe:/a:ibm:software_development_kit:8.0::~~java_technology~~~
Redhat Satellite 5.6 cpe:/a:redhat:satellite:5.6
Redhat Satellite 5.7 cpe:/a:redhat:satellite:5.7
Redhat Satellite 5.8 cpe:/a:redhat:satellite:5.8
Redhat Enterprise Linux Desktop 6.0 cpe:/o:redhat:enterprise_linux_desktop:6.0
Redhat Enterprise Linux Desktop 7.0 cpe:/o:redhat:enterprise_linux_desktop:7.0
Redhat Enterprise Linux Server 6.0 cpe:/o:redhat:enterprise_linux_server:6.0
Redhat Enterprise Linux Server 7.0 cpe:/o:redhat:enterprise_linux_server:7.0
Redhat Enterprise Linux Workstation 6.0 cpe:/o:redhat:enterprise_linux_workstation:6.0
Redhat Enterprise Linux Workstation 7.0 cpe:/o:redhat:enterprise_linux_workstation:7.0
  1. Redhat (4) Search CVE
    1. Enterprise Linux Desktop (2) Search CVE
      1. 6.0
      2. 7.0
    2. Enterprise Linux Workstation (2) Search CVE
      1. 6.0
      2. 7.0
    3. Enterprise Linux Server (2) Search CVE
      1. 6.0
      2. 7.0
    4. Satellite (3) Search CVE
      1. 5.6
      2. 5.7
      3. 5.8
  2. Ibm (1) Search CVE
    1. Software Development Kit (8) Search CVE
      1. 6
      2. 6.0
      3. 6r1
      4. 7
      5. 7.0
      6. 7r1
      7. 8
      8. 8.0

CWE

ID Name Description Links
CWE-20 Improper Input Validation The product does not validate or incorrectly validates input that can affect the control flow or data flow of a program. CVE

History of changes

Date Event
2018-11-21 14:30
2018-10-23 15:25
2018-09-18 10:29
2018-08-29 10:29
2018-08-28 10:29
2018-08-22 10:29
2018-08-20 21:29

New CVE